package jx.cn.escort.apps

import android.app.Application
import androidx.lifecycle.Lifecycle
import androidx.lifecycle.LifecycleOwner
import androidx.lifecycle.LifecycleRegistry

/**
 *  <p>Application的子类用来监听App整个生命周期</>
 */
internal class InternalApp: Application(), LifecycleOwner{


    private val mRegistry: LifecycleRegistry = LifecycleRegistry(this)


    override val lifecycle: Lifecycle
        get() = mRegistry

    /**
     *  <p>应用创建事件</>
     */
    override fun onCreate() {
        super.onCreate()
    }


}