package jx.cn.escort.ui.fragment



import android.content.Context
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.core.view.marginTop
import androidx.fragment.app.Fragment
import com.xuexiang.xui.widget.banner.recycler.BannerLayout
import jx.cn.escort.R
import jx.cn.escort.adapter.IndexBannerAdapter

class BaseNavFragment(name:Int,context: Context?):Fragment() {
    private var name: Int? = null
    private var context: Context? = null
    init {
        this.name=name
        this.context=context

    }



    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        if(null!=name){
           return inflater.inflate(name!!,container,false)
        }else{
            return super.onCreateView(inflater, container, savedInstanceState)
        }


    }


    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        if(null!=name&&view.id==R.id.index_card) {
                var indexBanner=view.findViewById<BannerLayout>(R.id.index_banner)
                var adapter = IndexBannerAdapter(this@BaseNavFragment.context)
                indexBanner.setAdapter(adapter)

        }
    }
}