package jx.cn.escort.utils


import android.content.Context
import android.content.Intent

 class ActivityUtils {


     companion object{
         /**
          * <p>启动活动层,使用了内联函数和reified,
          *  inline是为了编译直接替换,reified关键字修饰的泛型直接在编译时候确定类型而不是运行时候进行擦除，
          *  这样做是为了提高运行性能
          * </p>
          */
         @JvmStatic
         inline  fun <reified  T> startActivity(context: Context, cls: Class<T>) {
             val intent=Intent(context,T::class.java)
             context.startActivity(intent)
         }


     }


}